<div class="actions">
    <button class="back_button" mat-button (click)="location.back()">
        <mat-icon>keyboard_arrow_left</mat-icon>
        Regresar
    </button>
    <button *ngIf="(order && !order.collected)" class="back_button" mat-button (click)="orderDelivered()">
        <mat-icon>check</mat-icon>
        Marca como entregada
    </button>
    <button disabled *ngIf="(order && order.collected)" class="collected_button" mat-button>
        <mat-icon>check</mat-icon>
        Pedido Entregado
    </button>
</div>
<div class="container" *ngIf="order">
    <div *ngIf="order.user.delivery_service">
        <h2>
            <b>Este Pedido es a domicilio</b>
        </h2>
        <h3 class="container__data_title">Dirección de entrega</h3>
        <h4 class="container__data_text"><b>{{order.user.address}}</b></h4>
        <h3 class="container__data_title">Referencias del domicilio</h3>
        <h4 class="container__data_text"><b>{{order.user.references}}</b></h4>
        <h3 class="container__data_title">Número telefónico de contacto</h3>
        <h4 class="container__data_text"><b>{{order.user.phone}}</b></h4>
    </div>
    <h2>Datos del Cliente</h2>
    <div>
        <h3 class="container__data_title">Nombre Completo</h3>
        <h4 class="container__data_text"><b>{{order.user.name}} {{order.user.lastname}}</b></h4>
    </div>
    <h2>Datos del Pedido</h2>
    <table matSort class="container__table">
        <tr>
            <th mat-sort-header="nombre" class="container__table_title">Nombre producto</th>
            <th mat-sort-header="cantidad" class="container__table_title">Cantidad</th>
        </tr>
        <br>
        <tr *ngFor="let product of order.products">
            <td class="container__table_text">{{product.name}}</td>
            <td class="container__table_text">{{product.quantity}}</td>
        </tr>
    </table>
</div>